This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1283758 - [abrt] nautilus: g_menu_model_get_n_items(): nautilus killed by SIGSEGV
[abrt] nautilus: g_menu_model_get_n_items(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4db2a6d58616299a6071bc7d5aa...
:
: 1308324 1340800 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 13:25 EST by Amol
Modified: 2016-12-20 11:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:06:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.11 KB, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: core_backtrace (13.13 KB, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: dso_list (25.12 KB, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: environ (850 bytes, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-19 13:25 EST, Amol
no flags Details
File: maps (117.17 KB, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details
File: open_fds (3.59 KB, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-11-19 13:26 EST, Amol
no flags Details

  None (edit)
Description Amol 2015-11-19 13:25:38 EST
Description of problem:
Discconected external HDD.

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/nautilus
global_pid:     7599
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:310
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:677
 #3 nautilus_window_realize at nautilus-window.c:2246
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 gtk_widget_realize at gtkwidget.c:5386
 #8 gtk_window_show at gtkwindow.c:5937
 #13 gtk_widget_show at gtkwidget.c:4726
 #14 view_started_loading at nautilus-window-slot.c:2069
 #15 view_is_loading_changed_cb at nautilus-window-slot.c:2108
Comment 1 Amol 2015-11-19 13:25:45 EST
Created attachment 1096844 [details]
File: backtrace
Comment 2 Amol 2015-11-19 13:25:47 EST
Created attachment 1096845 [details]
File: cgroup
Comment 3 Amol 2015-11-19 13:25:50 EST
Created attachment 1096846 [details]
File: core_backtrace
Comment 4 Amol 2015-11-19 13:25:53 EST
Created attachment 1096847 [details]
File: dso_list
Comment 5 Amol 2015-11-19 13:25:55 EST
Created attachment 1096848 [details]
File: environ
Comment 6 Amol 2015-11-19 13:25:57 EST
Created attachment 1096849 [details]
File: exploitable
Comment 7 Amol 2015-11-19 13:25:59 EST
Created attachment 1096850 [details]
File: limits
Comment 8 Amol 2015-11-19 13:26:03 EST
Created attachment 1096851 [details]
File: maps
Comment 9 Amol 2015-11-19 13:26:05 EST
Created attachment 1096852 [details]
File: mountinfo
Comment 10 Amol 2015-11-19 13:26:07 EST
Created attachment 1096853 [details]
File: namespaces
Comment 11 Amol 2015-11-19 13:26:09 EST
Created attachment 1096854 [details]
File: open_fds
Comment 12 Amol 2015-11-19 13:26:11 EST
Created attachment 1096855 [details]
File: proc_pid_status
Comment 13 Amol 2015-11-19 13:26:13 EST
Created attachment 1096856 [details]
File: var_log_messages
Comment 14 Mehmet Akif Taşova 2016-02-14 04:12:54 EST
*** Bug 1308324 has been marked as a duplicate of this bug. ***
Comment 15 Mehmet Akif Taşova 2016-05-10 09:32:18 EDT
I was playing with some SATA to USB adapter(Ugreen 20231) with an attached 4TB HDD (Seagate ST4000DM000 from a deceased Seagate Central).

and when I tried to cut the power of HDD from Gnome's Disks utility, I was able to reproduce this bug.
Comment 16 xzj8b3 2016-05-30 06:25:56 EDT
*** Bug 1340800 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 08:35:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 11:06:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.